#ifndef MAINPAGE_A_V_H
#define MAINPAGE_A_V_H

#include <QWidget>
#include <QLabel>
#include <QFile>
#include <QTextStream>
#include <QFileInfo>

#include <uart1.h>
class mainpage_A_V : public QWidget
{
    Q_OBJECT
public:
    explicit mainpage_A_V(QWidget *parent = nullptr);

private:
    QLabel *label_3_1;//页面1电压及电流label1
    QLabel *label_3_2;
    QLabel *label_3_3;
    QLabel *label_3_4;
    QLabel *label_3_5;
    QLabel *label_3_6;
    QLabel *label_3_7;
    QLabel *label_3_8;
    QLabel *label_line_vol_AB;
    QLabel *label_line_vol_BC;
    QLabel *label_line_vol_CA;
    QFrame *line3_1;//页面1分割线

    QLabel *label_disconnect_current;//电流互感器未连接
    QLabel *label_disconnect_voltage;//电压互感器未连接

    void labelShow();

signals:
    void sigDispByqAlarm(bool);
private slots:
    void onPageOneDataUpdate(float,float,float);
    void onPageOneDataLabelUpdate();

};

#endif // MAINPAGE_A_V_H
